resource "kubernetes_ingress_v1" "ingress_gce" {
  for_each = var.ingress_type == "gce" ? { for k, v in kubernetes_service_v1.default : k => v } : {}

  metadata {
    name = "${var.cluster.name}-${each.value.metadata[0].name}"
    annotations = {
      "kubernetes.io/ingress.class" = var.public_ingress ? "gce" : "gce-internal"
    }
  }

  spec {
    rule {
      host = trimsuffix("${each.value.metadata[0].name}.${var.cluster.name}.${var.dns_managed_zone.dns_name}", ".")
      http {
        path {
          path = "/"
          backend {
            service {
              name = each.value.metadata[0].name
              port {
                number = 80
              }
            }
          }
        }
      }
    }
  }

  depends_on = [time_sleep.wait_service_cleanup]
}
